if status is-interactive
    function htmlencode
        printf 'CHAR: %s\n' "$argv"
        echo -HTML: $(printf '&#x%x;\n' "'$argv")
        echo -CSS: $(printf '\\%x\n' "'$argv")
        echo -JS: $(printf '\u%x\n' "'$argv")
    end

    function ytsearch
        set query $argv[1]
        set search $argv[2]
        if test -z $argv[2]
            set search "auto"
        end
        echo params $search $query
        set url $(yt-dlp -s -q -O original_url --default-search "$search" $query)
        echo  url: $url
        mpv $url
    end


    # Equivalent to Bash aliases
    alias ls 'ls --color=auto'
    alias cls 'clear'
    alias linux-config '/usr/bin/git --git-dir=$HOME/.local/share/linux-config --work-tree=$HOME'
    alias npm 'pnpm'
    alias npx 'pnpx'
    alias dl 'yt-dlp'
    alias youtube-dl 'yt-dlp'
    alias mpv 'mpv --script=/usr/lib/mpv-mpris/mpris.so'
    alias htmlenc 'htmlencode'
    alias yt 'ytsearch'
    alias nix-env 'echo "DONT USE THIS USE home-manager OR nixos-rebuild"'

    
    # Ruby
    rbenv init - fish | source


    set -x EDITOR "micro"


    set -x PNPM_HOME "$HOME/.local/share/pnpm"
    set -x CARGO_HOME "$HOME/.local/share/cargo"
    set -x RUSTUP_HOME "$HOME/.local/share/rustup"

    set -x PATH "$PATH" "$CARGO_HOME/bin" "$PNPM_HOME" "$HOME/.local/bin"

        echo "
== SYSTEM UPDATES ==
LAST UPDATED: $(history topgrade -t -e | grep -E '^# (.*)')

=> Run 'topgrade' to update system.
"

    if test -n "$(linux-config diff -U0)"
        echo "
== DOTFILES ==
LAST UPDATED: $(history "linux-config push" -t -e | grep -E '^# (.*)')
CHANGES TO BE PUSHED:"
        #linux-config status -s
        linux-config diff -U0
        echo "
=> Run 'linux-config diff' to see changes.
=> Run 'linux-config commit -am \"message\"' to commit changes.
=> Run 'linux-config push' to sync updates.
            "
    end
end
